*{
    margin:0;
    padding: 0;
}

:root{
    --x:'0px';
}
nav{
    width:100vw;
    height:100px;
    display:flex;
    align-items: center;
    background-color: black;
    position: fixed;
    z-index: 10;
}

.imagecontainer{
    width: 50vw;
    height: 90px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    background-image: url("assets/nav/whiteLogo.png");
    margin-left: 2vw;
    background-repeat: no-repeat;
    margin-top:5px;
    margin-bottom:5px;
    background-size: contain;

}

.buttonscontainer{
    width:50vw;
    height: 120px;
    display:flex;
    justify-content: flex-end;
    align-items: center;
}

.button1{
    background-color: black;
    margin-right: 2vw;
    height: 60px;
    width: 200px;
    border-radius: 10px;
    border:solid #7209B7 3px;
    display:flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    transition: 0.2s;
}

.button1:hover{
    background-color: #7209B7;
    margin-right: 2vw;
    height: 60px;
    width: 200px;
    border-radius: 5px;
    border:solid #7209B7 3px;
    display:flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    transform:rotate(-5deg);
    scale:1.2;
}

.button1>p{
    color:white;
    font-size: 1.5rem;
    font-weight: bold;
    text-align: center;
}

.button2{
    width: 80px;
    height: 80px;
    border-radius: 200px;
    margin-right: 2vw;
    display:flex;
    justify-content: center;
    align-items: center;
    cursor:pointer;
    transition: 0.2s;
}

.button2:hover{
   scale:1.1;


}

footer{
    width: 100vw;
    height: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: black;
}

footer > div{
    background-image: url("/assets/nav/whiteLogoNoText.png");
    width: 110px;
    height: 110px;
    background-size: contain;

}

.hamburgerBarContainer {
    position: fixed;
    left: 100vw;
    top: 100px;
    width: 100vw;
    height: calc(100vh - 100px);
    display: flex;
    flex-direction: column;
}

.hamburgerBarContainer > a {
    width: 100%;
    height: calc(100% / 3);
    background-color: black;
    color:white;
    font-size: 5rem;
    font-weight: bold;
    padding-left: 20%;
    text-decoration: none;
    display: flex;
    align-items: center;
    transition: 0s;
}

.hamburgerBarContainer > a:hover {
    width: 100%;
    height: calc(100% / 3);
    background-color: transparent;
    background-image: linear-gradient(to right, var(--purple) , var(--pink) var(--x), var(--blue) );
    color:white;
    font-size: 5rem;
    font-weight: bold;
    padding-left: 20%;
    text-decoration: none;
    display: flex;
    align-items: center;
}

@media (max-width:480px){
    nav{
        height: 80px;
    }

    nav > .imagecontainer{
        height: 60px;
    }

    .button1{

        height: 40px;
        width: 140px;

    }

    .button1>p{
        color:white;
        font-size: 0.8rem;
        font-weight: normal;
        text-align: center;
    }
    .button2{
        width: 40px;
        height: 40px;

    }

    .button2 > svg{
        width: 20px;
        height: 20px;
    }

    .imagecontainer{

        height: 70px;
        background-size: contain;
        margin-top: 5px;
    }

    footer{
        width: 100vw;
        height: 200px;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: black;
    }

    footer > div{
        background-image: url("/assets/nav/whiteLogoNoText.png");
        width: 50px;
        height: 50px;
        background-size: contain;

    }
}

